{#
/**
 * @file
 * Theme override to display a node.
 *
 * Available variables:
 * - node: The node entity with limited access to object properties and methods.
 *   Only method names starting with "get", "has", or "is" and a few common
 *   methods such as "id", "label", and "bundle" are available. For example:
 *   - node.getCreatedTime() will return the node creation timestamp.
 *   - node.hasField('field_example') returns TRUE if the node bundle includes
 *     field_example. (This does not indicate the presence of a value in this
 *     field.)
 *   - node.isPublished() will return whether the node is published or not.
 *   Calling other methods, such as node.delete(), will result in an exception.
 *   See \Drupal\node\Entity\Node for a full list of public properties and
 *   methods for the node object.
 * - label: (optional) The title of the node.
 * - content: All node items. Use {{ content }} to print them all,
 *   or print a subset such as {{ content.field_example }}. Use
 *   {{ content|without('field_example') }} to temporarily suppress the printing
 *   of a given child element.
 * - author_picture: The node author user entity, rendered using the "compact"
 *   view mode.
 * - metadata: Metadata for this node.
 * - date: (optional) Themed creation date field.
 * - author_name: (optional) Themed author name field.
 * - url: Direct URL of the current node.
 * - display_submitted: Whether submission information should be displayed.
 * - attributes: HTML attributes for the containing element.
 *   The attributes.class element may contain one or more of the following
 *   classes:
 *   - node: The current template type (also known as a "theming hook").
 *   - node--type-[type]: The current node type. For example, if the node is an
 *     "Article" it would result in "node--type-article". Note that the machine
 *     name will often be in a short form of the human readable label.
 *   - node--view-mode-[view_mode]: The View Mode of the node; for example, a
 *     teaser would result in: "node--view-mode-teaser", and
 *     full: "node--view-mode-full".
 *   The following are controlled through the node publishing options.
 *   - node--promoted: Appears on nodes promoted to the front page.
 *   - node--sticky: Appears on nodes ordered above other non-sticky nodes in
 *     teaser listings.
 *   - node--unpublished: Appears on unpublished nodes visible only to site
 *     admins.
 * - title_attributes: Same as attributes, except applied to the main title
 *   tag that appears in the template.
 * - content_attributes: Same as attributes, except applied to the main
 *   content tag that appears in the template.
 * - author_attributes: Same as attributes, except applied to the author of
 *   the node tag that appears in the template.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the main title tag that appears in the template.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the main title tag that appears in the template.
 * - view_mode: View mode; for example, "teaser" or "full".
 * - teaser: Flag for the teaser state. Will be true if view_mode is 'teaser'.
 * - page: Flag for the full page state. Will be true if view_mode is 'full'.
 * - readmore: Flag for more state. Will be true if the teaser content of the
 *   node cannot hold the main body content.
 * - logged_in: Flag for authenticated user status. Will be true when the
 *   current user is a logged-in member.
 * - is_admin: Flag for admin user status. Will be true when the current user
 *   is an administrator.
 *
 * @see template_preprocess_node()
 *
 */
#}
{%
  set classes = [
    'node',
    'node--type-' ~ node.bundle|clean_class,
    node.isPromoted() ? 'node--promoted',
    node.isSticky() ? 'node--sticky',
    not node.isPublished() ? 'node--unpublished',
    view_mode ? 'node--view-mode-' ~ view_mode|clean_class,
    'row mb-3 border-bottom border-primary',
  ]
%}

{% set articleSummarySize = 'col-md-12' %}

{{ attach_library('cu_starterkit_theme/node') }}
<article{{ attributes.addClass(classes) }}>

  <div{{ content_attributes.addClass('node__content card mb-3') }} itemscope itemtype="https://schema.org/Article">
    <div class="row g-0">
      {% if content.field_featured_media[0] is defined %}
        {% set articleSummarySize = 'col-md-10' %}
        <div class="col-md-2 pt-3 px-3">
          <a href="{{ url }}" title="{{ label[0]['#context'].value }}">
            {{ drupal_image(content.field_featured_media[0]['#media'].field_media_image.entity.uri.value, content.field_featured_media[0]['#view_mode'], {alt: content.field_featured_media[0]['#media'].field_media_image[0].alt|t}, responsive=true) }}
          </a>
        </div>
      {% endif %}
      <div class="col-sm-12 {{ articleSummarySize }}">
        <div class="card-body">
          <h2 class="card-title"><a href="{{ url }}">{{ label }}</a></h2>
          {% if content.field_post_date|render and content.field_byline|render %}
            <h6 class="card-subtitle mb-2 text-body-secondary" role="contentinfo">
              <i class="fa-regular fa-calendar pe-1"></i>
              <span class="d-inline-block" itemprop="datePublished">{{ content.field_post_date }}</span>
              by
              <span class="d-inline-block" itemprop="author">{{ content.field_byline}}</span>
            </h6>
          {% endif %}
          <p class="card-text" role="main">{{ content.body[0]['#text']|striptags|trim }}</p>
          <a class="card-link" href="{{ url }}">Read more</a>
        </div>
      </div>
    </div>
  </div>
</article>
